# MongoCollection::__toString

(PECL mongo >=0.9.0)

MongoCollection::__toString — String representation of this collection

### Description

public MongoCollection::__toString ( void ) : string

### Parameters

This function has no parameters.

### Return Values

Returns the full name of this collection.

### Examples

Example #1 MongoCollection::__toString() example

`<?php
$m = new MongoClient();
$c1 = $m->foo->bar->baz;
echo "Working with collection $c1.";
$c2 = $m->selectCollection('[]', '&');
echo "Working with collection $c2.";
?>`

The above example will output something similar to:

    Working with collection foo.bar.baz.
    Working with collection [].&.